org.apache.tinkerpop.gremlin.structure

## Class FeatureSupportTest.GraphFunctionalityTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.structure.FeatureSupportTest.GraphFunctionalityTest

- Enclosing class:
    FeatureSupportTest

      public static class FeatureSupportTest.GraphFunctionalityTest
      extends AbstractGremlinTest

  Feature checks that test `Graph` functionality to determine if a feature should be on when it is marked as not supported.

- - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GraphFunctionalityTest()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `shouldPrintTheFeatureList()` This isn't really a test.
    `void` | `shouldSupportComputerIfAGraphCanCompute()` A `Graph` that does not support `Graph.Features.GraphFeatures.FEATURE_COMPUTER` must call `Graph.Exceptions.graphComputerNotSupported()`.
    `void` | `shouldSupportMemoryIfAGraphAcceptsMemory()` A `Graph` that does not support `Graph.Features.VariableFeatures.FEATURE_VARIABLES` must call `Graph.Exceptions.variablesNotSupported()`.
    `void` | `shouldSupportTransactionsIfAGraphConstructsATx()` A `Graph` that does not support `Graph.Features.GraphFeatures.FEATURE_TRANSACTIONS` must call `Graph.Exceptions.transactionsNotSupported()`.
    `void` | `shouldThrowOnThreadedTransactionNotSupported()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### GraphFunctionalityTest

          public GraphFunctionalityTest()

  - ### Method Detail

    - #### shouldPrintTheFeatureList

          public void shouldPrintTheFeatureList()

      This isn't really a test. It just pretty prints the features for the graph for reference. Of course, if the implementing classes use anonymous inner classes it will

    - #### shouldSupportComputerIfAGraphCanCompute

          public void shouldSupportComputerIfAGraphCanCompute()
                                                       throws Exception

      A `Graph` that does not support `Graph.Features.GraphFeatures.FEATURE_COMPUTER` must call `Graph.Exceptions.graphComputerNotSupported()`.
      Throws:
        `Exception`

    - #### shouldSupportTransactionsIfAGraphConstructsATx

          public void shouldSupportTransactionsIfAGraphConstructsATx()
                                                              throws Exception

      A `Graph` that does not support `Graph.Features.GraphFeatures.FEATURE_TRANSACTIONS` must call `Graph.Exceptions.transactionsNotSupported()`.
      Throws:
        `Exception`

    - #### shouldSupportMemoryIfAGraphAcceptsMemory

          public void shouldSupportMemoryIfAGraphAcceptsMemory()
                                                        throws Exception

      A `Graph` that does not support `Graph.Features.VariableFeatures.FEATURE_VARIABLES` must call `Graph.Exceptions.variablesNotSupported()`.
      Throws:
        `Exception`

    - #### shouldThrowOnThreadedTransactionNotSupported

          public void shouldThrowOnThreadedTransactionNotSupported()

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.